> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Request email verification

> Requests the verification of the customer's email address by sending them a verification email with the identity confirmation link.

Once the customer verifies their identity, a POST callback is sent to the URL provided in the `callback_uri` parameter. The callback contains the verified email in the payload.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/request_email_verification
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/request_email_verification:
    post:
      tags:
        - Other
      summary: Request email verification
      description: >-
        Requests the verification of the customer's email address by sending
        them a verification email with the identity confirmation link.


        Once the customer verifies their identity, a POST callback is sent to
        the URL provided in the `callback_uri` parameter. The callback contains
        the verified email in the payload.
      operationId: request-email-verification
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestEmailVerificationRequest'
            example:
              callback_uri: http://example.com
      responses:
        '200':
          description: Email verification requested.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    RequestEmailVerificationRequest:
      type: object
      required:
        - callback_uri
      properties:
        callback_uri:
          type: string
          description: >-
            The URI to be called after the customer confirms their email
            address. Should return 200 code. There are no retries.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````